-- |All exit codes that the program can return (excepting
-- ExitSuccess). There's only one, since the program will try and fail
-- forever upon errors.
module ExitCodes (
  exit_args_parse_failed,
  exit_no_usernames
  )
where

-- |Indicates that the command-line arguments could not be parsed.
exit_args_parse_failed :: Int
exit_args_parse_failed = 1

-- | No usernames found on either the command-line or in a config
--   file.
exit_no_usernames :: Int
exit_no_usernames = 2
